<!--
  ~ Benchmarking Suite
  ~ Copyright 2014-2022 Engineering Ingegneria Informatica S.p.A.
  ~
  ~ Licensed under the Apache License, Version 2.0 (the "License");
  ~ you may not use this file except in compliance with the License.
  ~ You may obtain a copy of the License at
  ~
  ~ http://www.apache.org/licenses/LICENSE-2.0
  ~
  ~ Unless required by applicable law or agreed to in writing, software
  ~ distributed under the License is distributed on an "AS IS" BASIS,
  ~ WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  ~ See the License for the specific language governing permissions and
  ~ limitations under the License.
  -->

<template>

    <v-navigation-drawer
      v-model="show"
      app
      overflow
      primary
      :clipped="true"
    >
    
      <v-list
        shaped
      >
        <v-list-item
          v-for="item in items"
          :key="item.title"
          :to="'/'+item.key" 
          :disabled="item.disabled"
        >
          <v-list-item-icon v-if="true">
            <v-icon>{{ item.icon }}</v-icon>
          </v-list-item-icon>

          <v-list-item-content>
            <v-list-item-title>
              {{ item.title }}
            </v-list-item-title>
          </v-list-item-content>
        </v-list-item>


        <v-list-item
         v-bind:href="resultsUrl" target="_blank">
          <v-list-item-icon v-if="true">
            <v-icon>mdi-monitor-dashboard</v-icon>
          </v-list-item-icon>
          <v-list-item-content>
            <v-list-item-title>
              Results
            </v-list-item-title>
          </v-list-item-content>
        </v-list-item>


      </v-list>

    </v-navigation-drawer>

</template>

<script>
import getEnv from '@/utils/env'

export default {

  name: 'LeftDrawer',

  props: {
    show: {
      type: Boolean,
      default: Boolean.true
    },
    selected: {
      type: String,
      default: "welcome"
    }
  },

  components: {
  },

  data: () => ({

    items: [
      {icon:"mdi-home", title:"Welcome", key:"welcome"},
      {icon:"mdi-cloud-outline", title:"Providers", key:"providers"},
      {icon:"mdi-tape-measure", title:"Workloads", key:"workloads"},
      {icon:"mdi-clock-outline", title:"Schedules", key:"schedules", disabled:false},
      {icon:"mdi-cogs", title:"Executions", key:"executions", disabled:false}
      //{icon:"mdi-monitor-dashboard", title:"Results", key:"results", disabled:false}
    ],
    resultsUrl: getEnv('VUE_APP_BENCHSUITE_GRAFANA_URL')
  }),

  created() {
//    this.currentSelection = this.items[2].key;
    this.$emit('selected', this.currentSelection)
  }

};
</script>

<style>


</style>
